Skip to main content
GET
/
contacts
/
{contact_id}
Get One Contact
curl --request GET \
  --url https://api.swoogo.com/api/v1/contacts/{contact_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data'
{
  "bio": "",
  "birth_date": "",
  "cc_email": "",
  "company": "Alan D Rosenburg Cpa Pc",
  "created_at": "2015-10-12 13:48:03",
  "email": "atomkiewicz@hotmail.com",
  "event_id": 1,
  "first_name": "Aleshia",
  "gender": {
    "id": 1,
    "value": "Female"
  },
  "id": 1,
  "job_title": "",
  "last_name": "Tomkiewicz",
  "middle_name": "",
  "mobile_phone": "",
  "prefix": "",
  "profile_picture": "",
  "suffix": "",
  "twitter_handle": "",
  "updated_at": "2015-10-12 13:48:15",
  "work_phone": "+44 1835 703597"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

contact_id
integer
required

integer - required - The ID of the contact you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"account_id,bio,birth_date,cc_email,company,created_at,email,first_name,gender,id,job_title,last_name,middle_name,mobile_phone,notes,prefix,profile_picture,subscribe_status,suffix,twitter_handle,updated_at,vat_number,work_phone"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

Body

multipart/form-data

The body is of type object.

Response

Get Contact Details

bio
string
Example:

""

birth_date
string
Example:

""

cc_email
string
Example:

""

company
string
Example:

"Alan D Rosenburg Cpa Pc"

created_at
string
Example:

"2015-10-12 13:48:03"

email
string
Example:

"atomkiewicz@hotmail.com"

event_id
number
Example:

1

first_name
string
Example:

"Aleshia"

gender
object
id
number
Example:

1

job_title
string
Example:

""

last_name
string
Example:

"Tomkiewicz"

middle_name
string
Example:

""

mobile_phone
string
Example:

""

prefix
string
Example:

""

profile_picture
string
Example:

""

suffix
string
Example:

""

twitter_handle
string
Example:

""

updated_at
string
Example:

"2015-10-12 13:48:15"

work_phone
string
Example:

"+44 1835 703597"